List packages

Base URL
https://{kibana_url}
  • GET /api/fleet/epm/packages
  • GET /s/{space_id}/api/fleet/epm/packages
Auth

Path parameters

space_id string optional

An identifier for the space. If space_id is not provided in the URL, the default space is used. Refer to Spaces for more information.

Query parameters

excludeInstallStatus boolean · default: false

Whether to exclude the install status of each package. Enabling this option will opt in to caching for the response via cache-control headers. If you don't need up-to-date installation info for a package, and are querying for a list of available packages, providing this flag can improve performance substantially.

prerelease boolean · default: false

Whether to return prerelease versions of packages (e.g. beta, rc, preview)

experimental boolean · default: false deprecated
category string

Responses

OK

application/json
items object[] required
description string required
download string required
icons string required
installationInfo object
created_at string
experimental_data_stream_features object[]
data_stream string
features object
doc_value_only_numeric boolean nullable
doc_value_only_other boolean nullable
synthetic_source boolean nullable
tsdb boolean nullable
install_format_schema_version string
install_kibana_space_id string
install_source enum required
Values: registry upload bundled
install_status enum required
Values: installed installing install_failed
installed_es object required
deferred boolean
id string
type enum
Values: component_template ingest_pipeline index_template ilm_policy transform data_stream_ilm_policy
installed_kibana object required
id string
type enum
Values: dashboard visualization search index-pattern map lens ml-module security-rule csp_rule_template
latest_executed_state object

Latest successfully executed state in package install state machine

error string
name enum
Values: create_restart_installation install_kibana_assets install_ilm_policies install_ml_model install_index_template_pipelines remove_legacy_templates update_current_write_indices install_transforms delete_previous_pipelines save_archive_entries_from_assets_map update_so
started_at string
latest_install_failed_attempts object[] required

Latest failed install errors

created_at string
error object
message string
name string
stack string
target_version string
name string required
namespaces string[]
type string
updated_at string
verification_key_id string nullable
verification_status enum required
Values: verified unverified unknown
version string required
name string required
path string required
savedObject object deprecated
status string required
title string required
type string required
version string required
response object[] deprecated
Same fields as items

Generic Error

application/json
error string
message string
statusCode number
Base URL
https://{kibana_url}